Fórum pro uživatele kancelářského balíku OpenOffice | LibreOffice
 

#1 6. 7. 2014 22:47:50

Marto
Člen
Registrace: 6. 7. 2014
Příspěvků: 4

LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Ahojte,

Používam Ubuntu 12.04 lts. V ňom LO 4.3. Keď chcem spustiť libre office, vypíše mi chybovú hlášku

"Aplikácia nemôže byť spustená.
service not supplied: loading component library <file:///usr/lib/libreoffice/program/../program/libexpwraplo.so> failed"

skúšal som odinštalovať LO a nainštalovať ho opäť. Chyba tá istá. Skúšal som odinštalovať LO a nainštalovať OO. Nainštaloval sa LO a cchyba tá istá.

Má niekto ideu, ako vyriešiť túto záležitosť?

Vďaka

Editoval Marto (15. 7. 2014 07:30:00)

Offline

#2 7. 7. 2014 13:58:46

janek-m
Člen
Registrace: 25. 4. 2013
Příspěvků: 22

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Nebude to tým, že LO vo verzii 4.3 ešte oficiálne nevyšla?? Keďže pre túto verziu ppa repozitár ešte nie je, tak predpokladám, že ste LO 4.3 inštalovali ručne. Odporučil by som túto verziu komplet odinštalovať a nainštalovať LO 4.2.X, buď stiahnutím DEB balíka alebo pridaním repozitára:

sudo add-apt-repository ppa:libreoffice/libreoffice-4-2
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install libreoffice

alebo ak chcete cez aktualizácie dostávať stále nové vydania LO, tak potom pridať repozitár:

sudo add-apt-repository ppa:libreoffice/ppa

Offline

#3 8. 7. 2014 08:20:05

strepon
Člen
Registrace: 6. 1. 2011
Příspěvků: 150

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Chyba je nahlášená (pro 14.04, ale asi to bude stejné – odkaz na Launchpad), ale nějaké řešení tam uvedeno není. Ruční instalace 4.3 mi na 14.04 funguje bez problémů.

Offline

#4 10. 7. 2014 20:21:18

Marto
Člen
Registrace: 6. 7. 2014
Příspěvků: 4

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

@janek-m
downgrade sa nepodaril.

@strepon
takze mi neostava ine ako cakat, kym neopravia chybu. To by ma zaujimalo, preco niekto tuto chybu ma a niekto nie. Inak s LO mam stale nejaky problem v Ubuntu. Zo 4.2 som upgradeoval preto, lebo ked som ho zapol, zmizlo mi menu a bocna lista Unity. Chvilu fungoval ako 4.3 a teraz toto. Ale v Debiane (wheezy) mi funguje normalne.

Offline

#5 10. 7. 2014 21:16:35

janek-m
Člen
Registrace: 25. 4. 2013
Příspěvků: 22

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Marto napsal(a)

downgrade sa nepodaril.

Tu nemožno hovoriť o downgrade. Je nutné úplné odinštalovanie ručne nainštalovaného LO, inak nebude nová inštalácia LO úspešná. Skúste ešte raz:
1. Odstránenie LO

sudo apt-get purge libreoffice* libobasis* ure python-uno uno-libs3

2. Opraviť závislosti balíkov + aktualizácia systému:

sudo apt-get clean
sudo apt-get -f install
sudo apt-get dist-upgrade

no a teraz sa pokúsiť nainštalovať LO ešte raz.

nepíšete, aký bol postup pri inštalácii a odstránení starej verzie LO a neviem ani, aké chybové hlášky ukázal terminál, čiže je aj ťažšie poradiť, prečo sa inštalácia nižšej verzie nezdarila.

Offline

#6 14. 7. 2014 18:43:11

Marto
Člen
Registrace: 6. 7. 2014
Příspěvků: 4

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Dakujem za odpoved.

Tento postup, ktory ste popisali som pouzil pri mojom "downgrade". Snazil som sa o uplne odinstalovanie 4.3 verzie. Zaujimave je, ze aj po tomto odinstalovani ked otvorim Synaptic, aby som zistil stav veci, stale mam libreoffice verziu 1:4.3.0.

Ked si otvorim zdroje softveru, pre LO je tam stale verzia 4-2.

No a ked po tomto odinstalovani nainstalujem akykolvek LO, alebo OO, stale je tam len 4.3.

Som z toho jelen a obavam sa, ze jedina moznost je preinstalovanie Ubuntu, co sa mi teda fakt nechce.

Offline

#7 14. 7. 2014 19:32:44

Marto
Člen
Registrace: 6. 7. 2014
Příspěvků: 4

Re: LO 4.3 - Aplikácia nemôže byť spustená - Vyriešené

Tak som práve v odkaze, ktorý poslal strepon:

strepon napsal(a)

Chyba je nahlášená (pro 14.04, ale asi to bude stejné – odkaz na Launchpad), ale nějaké řešení tam uvedeno není. Ruční instalace 4.3 mi na 14.04 funguje bez problémů.

našiel riešenie. Ak by niekto chcel riešiť túto situáciu, tu je, čo treba natypovať do terminálu:

sudo rm /usr/share/mime/packages/kde.xml

sudo update-mime-database /usr/share/mime
sudo apt-get remove libreoffice*
sudo apt-get install libreoffice

Offline

Zápatí